﻿import request from '/@/utils/request';
enum Api {
	AddWcsPosition = '/api/wcsPosition/add',
	DeleteWcsPosition = '/api/wcsPosition/delete',
	UpdateWcsPosition = '/api/wcsPosition/update',
	PageWcsPosition = '/api/wcsPosition/page',
	DetailWcsPosition = '/api/wcsPosition/detail',
	GetWcsDeviceDeviceIdDropdown = '/api/wcsPosition/WcsDeviceDeviceIdDropdown',
	GetWcsPlcIdDropdown = '/api/wcsPosition/WcsPlcIdDropdown',
}

// 增加设备工位
export const addWcsPosition = (params?: any) =>
	request({
		url: Api.AddWcsPosition,
		method: 'post',
		data: params,
	});

// 删除设备工位
export const deleteWcsPosition = (params?: any) =>
	request({
		url: Api.DeleteWcsPosition,
		method: 'post',
		data: params,
	});

// 编辑设备工位
export const updateWcsPosition = (params?: any) =>
	request({
		url: Api.UpdateWcsPosition,
		method: 'post',
		data: params,
	});

// 分页查询设备工位
export const pageWcsPosition = (params?: any) =>
	request({
		url: Api.PageWcsPosition,
		method: 'post',
		data: params,
	});

// 详情设备工位
export const detailWcsPosition = (id: any) =>
	request({
		url: Api.DetailWcsPosition,
		method: 'get',
		data: { id },
	});

export const getWcsDeviceDeviceIdDropdown = () =>
	request({
		url: Api.GetWcsDeviceDeviceIdDropdown,
		method: 'get'
	});

export const GetWcsPlcIdDropdown = () =>
	request({
		url: Api.GetWcsPlcIdDropdown,
		method: 'get'
	});